Zeitgeist.Timestamp.prev_midnight – zeitgeist-2.0 Reference Manual

# prev_midnight

## Description:

public int64 prev_midnight (int64 timestamp)

Calculate the timestamp for the midnight just before the given timestamp.

If is is already midnight (down to the millisecond), this method will return the value for the previous midnight. In other words, you can call this method recursively in order to iterate, backwards in time, over midnights.

## Parameters:

timestamp | the Zeitgeist timestamp to find the previous midnight for

## Returns:

the timestamp for the midnight just before the given timestamp

Namespace: Zeitgeist.Timestamp
Package: zeitgeist-2.0